$(document).ready(function(){
    $(".proupdate").click(function(){
        $("#proid").attr("value",$(this).prev("input[@name=vid]").val());
          $.ajax({
              url:'PropValue.aspx?NoCopyRight=1&type=ajax&Action=GetPropValue&PropID=' + $(this).prev("input[@name=vid]").val(),
              dataType:'json',
              cache:false,
              async:false,
              success:function(msg){
                var prop=msg.PropValue[0];
                $("#tbPropName").val(prop.vname);
                $("#tbAlias").val(prop.alias);
                $("#tbRemark").val(prop.remark);
              },
             error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
          }); //and ajax
    });
     $(".prodelete").click(function(){
        if(confirm('确定要删除此规格吗？')){
          var propid = $(this).prev().prev("input[@name=vid]").val();
          $.ajax({
	          url:"PropValue.aspx?NoCopyRight=1&type=ajax&Action=DeleteProValue&proid=" + propid,
		      cache:false,
		      success:function(data){
		        if( data > 0 ){
		           alert("删除成功");
		           location.href = ShopFolder + "admin/PropValue.aspx?pid=" +pid;
		        }
		    },error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
        }); 
       }
    });
});